import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerLernabschnittBemerkungen extends JavaObject {
    zeugnisAllgemein: String;
    zeugnisASV: String;
    zeugnisLELS: String;
    zeugnisAUE: String;
    uebergangESF: String;
    foerderschwerpunkt: String;
    versetzungsentscheidung: String;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerLernabschnittBemerkungen;
    static transpilerToJSON(obj: SchuelerLernabschnittBemerkungen): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerLernabschnittBemerkungen>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerLernabschnittBemerkungen(obj: unknown): SchuelerLernabschnittBemerkungen;
